~alpine/aports

This thread contains a patchset. You're looking at the original emails, but you may wish to use the patch review UI. Review patch
1

[alpine-aports] [PATCH] testing/libibumad: new aport

Jann - Ove Risvik
Details
Message ID
<20160709152110.10741-1-jann.ove@usaklig.com>
Sender timestamp
1468077670
DKIM signature
missing
Download raw message
Patch: +8 -2
https://openfabrics.org/index.php/openfabrics-software.html
Interface to ib_umad module (user_mad) library. (InfiniBand)

3.rd attempt. This time with update_config_sub
---
 testing/libibumad/APKBUILD | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/testing/libibumad/APKBUILD b/testing/libibumad/APKBUILD
index 59af7e0..b3de51a 100644
--- a/testing/libibumad/APKBUILD
+++ b/testing/libibumad/APKBUILD
@@ -16,11 +16,17 @@ source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
 "
 
 builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$_builddir"
+        update_config_sub || return 1
+}
+
+
 build() {
 	cd "$builddir"	
 	./configure \
-	        --build=`echo $CBUILD | sed s/alpine-linux-musl/linux/`\
-		--host=`echo $CHOST | sed s/alpine-linux-musl/linux/` \
+	        --build=$CBUILD\
+		--host=$CHOST \
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160922113843.7cc0c56f@ncopa-desktop.copa.dup.pw>
In-Reply-To
<20160709152110.10741-1-jann.ove@usaklig.com> (view parent)
Sender timestamp
1474537123
DKIM signature
missing
Download raw message
On Sat,  9 Jul 2016 17:21:10 +0200
Jann - Ove Risvik <jann.ove@usaklig.com> wrote:

> https://openfabrics.org/index.php/openfabrics-software.html
> Interface to ib_umad module (user_mad) library. (InfiniBand)
> 
> 3.rd attempt. This time with update_config_sub
> ---
>  testing/libibumad/APKBUILD | 10 ++++++++--
>  1 file changed, 8 insertions(+), 2 deletions(-)
> 
> diff --git a/testing/libibumad/APKBUILD b/testing/libibumad/APKBUILD
> index 59af7e0..b3de51a 100644
> --- a/testing/libibumad/APKBUILD
> +++ b/testing/libibumad/APKBUILD
> @@ -16,11 +16,17 @@ source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
>  "
>  
>  builddir="$srcdir"/$pkgname-$pkgver
> +prepare() {
> +	cd "$_builddir"
> +        update_config_sub || return 1
> +}
> +
> +
>  build() {
>  	cd "$builddir"	
>  	./configure \
> -	        --build=`echo $CBUILD | sed s/alpine-linux-musl/linux/`\
> -		--host=`echo $CHOST | sed s/alpine-linux-musl/linux/` \
> +	        --build=$CBUILD\
> +		--host=$CHOST \
>  		--prefix=/usr \
>  		--sysconfdir=/etc \
>  		--mandir=/usr/share/man \


I finally merged this with the previous (Attempt 2) cleaned it up a bit
and fixed the commit message (no need to mention in commit message that
it is second or third attempt).

Thanks

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---